For the complete documentation index, see llms.txt. This page is also available as Markdown.

NavigationItems

Introduction

NavigationItems returns the resolved navigation structure for the authenticated user.

This includes built-in module entries and additional entries from MenuItems.

List

Get all navigation items for the current authenticated user.

Definition

GET /api/navigation/items

Example Request

$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('GET', '/api/navigation/items', [
    'headers' => ['Authorization' => 'Bearer {accessToken}'],
]);

System variables

For additional menu items, href is returned with resolved system variables from the menu-item link.

Example configured link:

https://example.com/menu-items/{{ menuItem.id }}/users/{{ system.user.id }}

Example resolved output:

Iframe target behavior for additional menu items

  • target is _self when allow_iframe_access and iframe_access are true.

  • Otherwise target is _blank.

Example Response (excerpt)

Last updated